#pragma once

#include <stdio.h>

typedef struct 
{
	int length;
	int pos;
	void *data;
} MEMFILE;

unsigned int memopen(char *name);
unsigned int memopen2(int resCode);
void memclose(unsigned int handle);
void msys_memcpy( void *dst, const void *ori, int amount );
int memread(void *buffer, int size, unsigned int handle);
void memseek(unsigned int handle, int pos, signed char mode);
int memtell(unsigned int handle);